#ifndef _Patch_H_
#define _Patch_H_

enum
{
	PATCH_SUBDIVX		= 1000,
	PATCH_SUBDIVY		= 1001,
	PATCH_REVERSE_NORMALS=1004,
	PATCH_THICKNESS		=1006,
	PATCH_THICKNESS_STYLE	=1007,
	PATCH_THICKNESS_MIDDLE	=1008,
	PATCH_THICKNESS_UP	=1009,
	PATCH_THICKNESS_DOWN=1010,
	PATCH_THICKNESS_CAPS=1011,
	PATCH_OFF_ALLOW_FLIP=1013,
	PATCH_OFF_L1		=1014,
	PATCH_OFF_L2		=1015,
	PATCH_OFF_R1		=1016,
	PATCH_OFF_R2		=1017,
	PATCH_OFF_U1		=1018,
	PATCH_OFF_U2		=1019,
	PATCH_OFF_D1		=1020,
	PATCH_OFF_D2		=1021,
	PATCH_OFF_COLORL	=1022,
	PATCH_OFF_COLORR	=1023,
	PATCH_OFF_COLORU	=1024,
	PATCH_OFF_COLORD	=1025,
	PATCH_OFF_LOCK_LR	=1026,
	PATCH_OFF_LOCK_UD	=1027,

	PATCH_SWAPXY		=1040,
	PATCH_GENERATE_UV	=1041,
	PATCH_OPTIMIZE_HACK =1043,
	PATCH_CORNER		=1044,
	PATCH_ACCURACY		=1045,
	PATCH_SELECT_SPLINES=1046,

	PATCH_OFF_LIMIT_L11	=1050,
	PATCH_OFF_LIMIT_L12,
	PATCH_OFF_LIMIT_L21,
	PATCH_OFF_LIMIT_L22,
	PATCH_OFF_LIMIT_R11,
	PATCH_OFF_LIMIT_R12,
	PATCH_OFF_LIMIT_R21,
	PATCH_OFF_LIMIT_R22,
	PATCH_OFF_LIMIT_U11,
	PATCH_OFF_LIMIT_U12,
	PATCH_OFF_LIMIT_U21,
	PATCH_OFF_LIMIT_U22,
	PATCH_OFF_LIMIT_D11,
	PATCH_OFF_LIMIT_D12,
	PATCH_OFF_LIMIT_D21,
	PATCH_OFF_LIMIT_D22,

	PATCH_LIMIT_INTERSECT = 1090,

	ID_GROUP_OFFSET		= 1100,
	ID_GROUP_BEVEL		= 1200,
	ID_GROUP_ACCURACY	= 1300,

};

#endif